Ticket #44165

S3_0: "Experimental" main AI skill level not converted in non-debug builds

Open Date: 2022-03-23 17:04 Last Update: 2022-03-29 06:44

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

When checking code to change in #44164 I noticed that savegame loading converts "Experimental" AI level to "Hard" for non-debug builds only for individual players. The global skill level setting has no such conversion, but will fallback to handling of illegal AI level, and get converted to hardcoded default AI level (Easy). Assuming #44164 gets accepted in the form I plan to implement it, the more universal AI level conversion it provides will resolve this issue automatically for branches where it goes (master, and presumably S3_1). S3_0 needs a separate fix. (#44164 depends on #44100, so I don't think porting it is an option)

Ticket History (3/7 Histories)

2022-03-23 17:04 Updated by: cazfi
  • New Ticket "S3_0: "Experimental" main AI skill level not converted in non-debug builds" created
2022-03-26 23:00 Updated by: cazfi
2022-03-27 12:22 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-27 13:06 Updated by: cazfi
Comment

- Also a version to push to S2_6

2022-03-29 06:44 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login